Skip to main content
POST
/
2025-10
/
retail-media
/
accounts
/
{accountId}
/
seller-catalog-export
/2025-10/retail-media/accounts/{accountId}/seller-catalog-export
curl --request POST \
  --url https://api.criteo.com/2025-10/retail-media/accounts/{accountId}/seller-catalog-export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "includeFields": [],
      "modifiedAfter": "2023-11-07T05:31:56Z",
      "sellers": [
        {
          "retailerId": "<string>",
          "sellerId": "<string>"
        }
      ]
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "createdAt": "2023-11-07T05:31:56Z",
      "fileSizeBytes": 123,
      "md5Checksum": "<string>",
      "message": "<string>",
      "rowCount": 123
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

The account to request the catalog for.

Body

application/json

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

200 - application/json

Catalog request successfully created

A top-level object that encapsulates a Criteo API response for a single entity.

data
object

A domain entity exposed by the API, identified by a unique id.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.